classdef GyrosConst
    % stale do obliczen wspolczynnikow linearyzacji kamery
    %   Detailed explanation goes here
%     opis pomiarw 
% 
%     1000 pom/sek
% 
%     kanay:
%     0,1 gyro INN Y - przechyka
%     2,3 gyro INN X - uk
%     4   gyro KVH   - przechyka staa 2.5V
%     5   akc. INN
%     6   akc. Colibrys
%     7   kana A przetw. drogi
% 
%     Pliki gyros
%     1 tam 		przenoszenie
%     2 powrt	przenoszenie
%     3 tam 		normalny
%     4 powrt	normalny
%     5 tam 		normalny
%     6 powrt	normalny
%     7 tam		szybki
%     8 powrt	szybki
%     9 tam 		wolny
%     10 powrt	wolny
% 
%     zakr nap. kanaw +/-10V
% 
%     czuo kanaw ukady analogowe
%     0-1,2-3 rnicowe +/10v	 +/-110deg/sec
%     4	        20mV/deg/sec
%     5		1,046mA/g*2kohm
%     6		400mV/g
%     7 cyfrowy	kana A czujnika drogi 0-5V     
%
%     czuo kanaw ukad cyfrowy
%     0 czas prbki: us
%     1	prdko ktowa: deg/h

    properties (Constant)
     mm_pulse = 0.14295;
        
    Odometer_threshold = 2.5;
    RFID_sync_threshold = 2.5;
    GyroINN_sens = 11 % [(deg/s)/V]
    GyroKVH_sens = 50 % [(deg/s)/V]
    GyroKVH_off = 2.408 % [V]
    AccelINN_sens = 0.478011 % [g/V]
    AccelINN_off = 0.0 % [V]
    AccelCol_sens = 2.5 % [g/V]
    AccelCol_off = 2.5 % [V]
    
    Samples_per_second = 500;
    sampling_period = 0.002 %s
 
    % indeksy macierzy wejciowej z pomiarw
    % przechyka
    sGyroINN_p_yp = 1; 
    sGyroINN_p_ym = 2;
    % obrt - uk
    sGyroINN_r_xp = 3; 
    sGyroINN_r_xm = 4;
    % porzechyka
    sGyroCRS_p = 5;
    % przechyka
    sAccelINN_p = 6;
    sAccelCol_p = 7; % dla kompatybilnoci pliku
    sRFID_sync = 7; % dla testw w metrze
    % kana drogi
    sOdometer_pulse = 8;
    mac_we_pom_wymiar = 8;

    % Macierz wejsciowa zyroskopu DSP-1750
    %obrt - uk
    sGyroKVH_time = 1;
    sGyroKVH_r = 2;
    
    % indeksy macierzy przeliczonej
    % przechyka
    GyroINN_p_y = 1; 
    % obrt - uk
    GyroINN_r_x = 2; 
    % porzechyka
    GyroCRS_p = 3;
    %obrt - uk
    GyroKVH_r = 4;
    % przechyka
    AccelINN_p = 5;
    % kana drogi
    Odometer_pulse = 6;
    mac_przel_wymiar = 6;
    RFID_sync = 7;
    mac_przel_wymiar_metro = 7;

% przyspieszeniomierze    
%    rAccelINN_p = 1;
%    rAccelCol_p = 2;
% yroskopy   
%    rGyroINN_p_y = 1; 

%
% Z kalibracji i porwnania
% yroskop INN GU200, omega = 88.6956521739131/s
% yroskop KVH DSP-1750, omega = 87.8342258065682/s
%

% Macierz z wyliczonym katem
    rGyroINN_r_x = 1; 
    rGyroKVH_r = 2;
    rGyroINN_i_x = 3; 
    rGyroKVH_i = 4; 

    % kana drogi
    rOdometer_pulse = 5;
    rRFID_sync = 6;
    rSpeed = 7;
    
    
   
   CRS09_gain_trim = 0.723;
   CRS09_bias_trim = 0.021;
   
   GU200_sign = -1;
   CRS09_sign = -1;

   GU200_r_sign = 1;
   KVH_r_sign = 1;
   
   % przyspieszeniomierz    
    kAccelINN = 1;
    % yroskopy  przechyki 
    kGyroINN = 2; 
    kGyroCRS = 3;

    % yroskopy obrotu
    kGyroINN_r = 4;
    kGyroKVH_r = 5;

    % kana drogi
    kOdometer_pulse = 6;
    kSpeed = 7;
    
    kSize = GyrosConst.kSpeed;

    
    colors = [ 'b', 'g', 'r','c', 'm', 'y', 'k', 'b', 'g', 'c','r', 'm', 'y', 'k', 'b', 'g', 'r','c', 'm', 'y', 'k', 'b', 'g', 'c','r', 'm', 'y', 'k']
    end

    methods
    end
    
end

