clc
    GyroINN_sens = 11 * 2.631 / 1.799 ; % [(deg/s)/V]
    GyroINN_r_sense = 15.508897% 15.50876 ; %[15.5088965378808] [(deg/s)/V]
    GyroINN_r_off = -4.78873788590994e-05 ; %[-4.78873788590994e-05] [(deg/s)/V]
    GyroCRS_p_sens = 50; % [(deg/s)/V]
    GyroCRS_p_off = 2.408; % [V]
    GyroKVH_r_sens = -1 / 3600; % [(deg/s)/V]
    GyroKVH_r_deg = -1 / 3600; % [(deg/s)/V]
    GyroKVH_r_off = 0; %70; % [V]
    AccelINN_sens = 0.478011; % [g/V]
    AccelINN_off = 0.0; % [V]
test_time = 18 * 60 + 24; % czas testu w sekundach
test_revolutions = 272;
test_omega = test_revolutions * 360 / test_time;
kvh_typ_przeliczen = 0;   
%folder = 'E:\testy\pojazd_metro\2014_03_17\silnik\';
folder = 'E:\testy\pojazd_metro\2014_03_25\silnik\';
sampling_period = 0.001; % [s]
subf_fig_src = 'src_fig\';
subf_mat_src = 'src_mat_files\';
input_file = 'gyros9';
output_matrix = 'D_src_1';
input_file_kvh = [input_file 'a'];
output_file = input_file;
figure_id = 107;
ext_txt = '.txt';
ext_mat = '.mat'
file_name = [folder input_file ext_txt]
D_src = importdata(file_name);
[m, n] = size(D_src);
Hn = 0:m-1;
Hnt = (Hn * sampling_period).';
figure(figure_id);
plot(Hnt, D_src(:, GyrosConst.sOdometer_pulse));
file_name_kvh = [folder input_file_kvh ext_txt]
D_src_kvh = importdata(file_name_kvh);
%D_src_kvh = zeros(m,2);
D_src_kvh(:,GyrosConst.sGyroKVH_time) = D_src_kvh(:,GyrosConst.sGyroKVH_time) / 1000000;
D_src_kvh(:,GyrosConst.sGyroKVH_r) = D_src_kvh(:, GyrosConst.sGyroKVH_r) * GyroKVH_r_deg; % przeliczenie na stopnie /s
[m_kvh, n_kvh] = size(D_src_kvh);
% wyliczanie offsetu
start_off = 2000;
stop_off = 16000;
start_time_off = start_off * sampling_period;
stop_time_off = stop_off * sampling_period;
start_kvh_off = 1;
stop_kvh_off = 2;
for i=1:m_kvh
    if D_src_kvh(i,GyrosConst.sGyroKVH_time) < start_time_off
        start_kvh_off = i;
    end
    if D_src_kvh(i,GyrosConst.sGyroKVH_time) < stop_time_off
        stop_kvh_off = i;
    end
end
GyroINN_r_off = mean(D_src(start_off:stop_off, GyrosConst.sGyroINN_r_xm) - D_src(start_off:stop_off, GyrosConst.sGyroINN_r_xp));
GyroKVH_r_off = mean(D_src(start_kvh_off:stop_kvh_off, GyrosConst.sGyroKVH_r));
D_src(:, GyrosConst.sGyroKVH_r) = D_src(:, GyrosConst.sGyroKVH_r) - GyroKVH_r_off;
%wyliczanie wzmocnienia
[ liczba_obrotow, start_ind, stop_ind ] = obroty_stanowiska_do_kalibracji( D_src(:, GyrosConst.sOdometer_pulse) )
start_ind = round(start_ind);
stop_ind = round(stop_ind);
if liczba_obrotow > 1
    czas = (stop_ind - start_ind) * sampling_period;
    test_omega = liczba_obrotow * 360 / czas;
else
    start_ind = 1;
    stop_ind = m;
end
start_time = start_ind * sampling_period;
stop_time = stop_ind * sampling_period;
start_kvh = 1;
stop_kvh = 2;
for i=1:m_kvh
    if D_src_kvh(i,GyrosConst.sGyroKVH_time) < start_time
        start_kvh = i;
    end
    if D_src_kvh(i,GyrosConst.sGyroKVH_time) < stop_time
        stop_kvh = i;
    end
end
D_out = zeros( m, GyrosConst.mac_przel_wymiar);
gyro_inn_r = abs(mean((D_src(start_ind:stop_ind, GyrosConst.sGyroINN_r_xm) - D_src(start_ind:stop_ind, GyrosConst.sGyroINN_r_xp))- GyroINN_r_off));
GyroINN_r_sense = test_omega / gyro_inn_r; 
kvh_omega = abs(mean(D_src_kvh(start_kvh:stop_kvh,GyrosConst.sGyroKVH_r)));
str = [folder input_file '_kalib' ext_txt]
fID = fopen(str, 'w');
fprintf(fID, 'Offset:\r\n\tGU200: %.12fdeg/s\r\n\t DSP-1750: %.12fdeg/s\r\n\r\n', GyroINN_r_off, GyroKVH_r_off);
fprintf(fID, 'Gain:\r\n\tGU200: %.12fdeg/s\r\n\t DSP-1750: %.12fdeg/s\r\n\r\n', GyroINN_r_sense, abs(test_omega/kvh_omega));
fprintf(fID, 'Test omega: %.5fdeg/s\r\n', test_omega);
fclose(fID);

D_out(:, GyrosConst.GyroINN_p_y) = (D_src(:, GyrosConst.sGyroINN_p_ym) - D_src(:, GyrosConst.sGyroINN_p_yp)) * GyroINN_sens;
D_out(:, GyrosConst.GyroINN_r_x) = ((D_src(:, GyrosConst.sGyroINN_r_xm) - D_src(:, GyrosConst.sGyroINN_r_xp))- GyroINN_r_off) * GyroINN_r_sense;
D_out(:, GyrosConst.GyroCRS_p) = (D_src(:, GyrosConst.sGyroCRS_p) - GyroCRS_p_off) * GyroCRS_p_sens;%
D_out(:, GyrosConst.GyroKVH_r) = synchronizacja_KVH( Hnt, D_src_kvh, kvh_typ_przeliczen);
D_out(:, GyrosConst.AccelINN_p) = (D_src(:, GyrosConst.sAccelINN_p) - AccelINN_off) * AccelINN_sens;
D_out(:, GyrosConst.Odometer_pulse) = D_src(:, GyrosConst.sOdometer_pulse);
h = source_data_graph( D_out, figure_id + 1,  sampling_period, input_file, ext_txt );
